Package org.apache.juneau.marshall.uon
package org.apache.juneau.marshall.uon
UON Marshalling Support
-
ClassDescriptionIdentifies the possible values for the
UonSerializer.Builder.paramFormat(ParamFormat)setting.Annotation that can be applied to classes, fields, and methods to tweak how they are handled byUonSerializerandUonParser.Utility classes and methods for the@Uonannotation.Builder class.Dynamically applies a@Uonannotation to specified classes, methods, or fields.Utility classes and methods for the@UonApplyannotation.Applies targetedUonApplyannotations to aContext.Builder.Builder class.Metadata on bean properties specific to the UON serializers and parsers pulled from the@Uonannotation on the bean property.Metadata on classes specific to the UON serializers and parsers pulled from the@Uonannotation on the class.Annotation for specifying config properties defined inUonSerializerandUonParser.Utility classes and methods for the@UonConfigannotation.AppliesUonConfigannotations to aUonParser.Builder.AppliesUonConfigannotations to aUonSerializer.Builder.Interface for providing access toUonClassMetaandUonBeanPropertyMetaobjects.Parses UON (a notation for URL-encoded query parameter values) text into POJO models.UonParser.Builder<SELF extends UonParser.Builder<SELF>>Builder class.Default parser, decoding.Concrete default builder leaf for the non-subclassedUonParser.create()/UonParser.copy()path.Session object that lives for the duration of a single use ofUonParser.UonParserSession.Builder<SELF extends UonParserSession.Builder<SELF>>Builder class.Concrete default builder leaf for the non-subclassedcreate()path (CRTP terminal).Same functionality asParserReaderexcept automatically decoded%xx escape sequences.Serializes POJO models to UON (a notation for URL-encoded query parameter values).UonSerializer.Builder<SELF extends UonSerializer.Builder<SELF>>Builder class.Concrete default builder leaf for the non-subclassedUonSerializer.create()/UonSerializer.copy()path.Equivalent toUonSerializer..create ().encoding().build();Equivalent toUonSerializer..create ().ws().build();Session object that lives for the duration of a single use ofUonSerializer.UonSerializerSession.Builder<SELF extends UonSerializerSession.Builder<SELF>>Builder class.Concrete default builder leaf for the non-subclassedcreate()path (CRTP terminal).Utility methods for the UON and UrlEncoding serializers and parsers.Specialized writer for serializing UON-encoded text.